import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import './styles/base.scss';
import App from './App.jsx';
import { BrowserRouter } from 'react-router-dom';
import 'bootstrap';
import { Provider } from 'react-redux';
import store, { persistor } from './store/store.js';
import { PersistGate } from 'redux-persist/integration/react';
import Loading from './components/Loading.jsx';

createRoot(document.getElementById('root')).render(
    // <StrictMode>
        <PersistGate loading={<Loading />} persistor={persistor}>
            <BrowserRouter>
                <Provider store={store}>
                    <App />
                </Provider>
            </BrowserRouter>
        </PersistGate>
    // </StrictMode>
);
